Intel® Enhanced Privacy ID SDK 2.0.0

Macros | Functions
presig.c File Reference

EpidComputePreSig implementation. More...

`#include "epid/member/context.h"`

## Macros
#define | BREAK_ON_EPID_ERROR(ret)
| Handle SDK Error with Break. More...
#define | COUNT_OF(A) (sizeof(A) / sizeof((A)[0]))
| Count of elements in array.

## Functions
EpidStatus | EpidComputePreSig (MemberCtx const *ctx, PreComputedSignature *precompsig)
| Performs Pre-computation that can be used to speed up signing. More...

## Detailed Description

EpidComputePreSig implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle SDK Error with Break.

## Function Documentation

EpidStatus EpidComputePreSig | ( | MemberCtx const * | ctx,
|  | PreComputedSignature * | precompsig
| ) |  |

Performs Pre-computation that can be used to speed up signing.

Warning
  Do not re-use the same pre-computed signature to generate more than one signature. If a pre-computed signature is used for computing two signatures, an attacker could learn the Intel(R) EPID private key.

Parameters

  [in] | ctx | The member context.
  [out] | precompsig | The pre-computed signature.

Returns
  EpidStatus